// ********************************************************************
// Pausen-/Verzgerungsfunktionen 
// Stand: 03.03.2009
// SDCC-Version: M-IDE-51/SDCC 2.8.0
// ********************************************************************

// Verzgerungsschleife fr kurze Zeit ohne Timer
// Zeit: Wartezeit in [zeit]
//       1 = 20us
//       2 = 28us
//       3 = 36us u.s.w. (gilt fr 11.0952MHz im Normalmode)
//     255 = ca. 2ms
// ********************************************************************
void delay_us(byte zeit) {
byte zaehler;
  for ( zaehler = zeit; zaehler; zaehler-- ) {
   _asm nop; _endasm;
  }
}

// ********************************************************************
// Verzgerungsschleife fr lange Zeit ohne Timer
// Zeit: Wartezeit in [zeit]
//       10 = ca. 10ms
//       20 = ca. 20ms
//       30 = ca. 30ms u.s.w. (gilt fr 11.0952MHz im Normalmode)
//     1000 = ca. 1s
// ********************************************************************
void delay_ms(word zeit) {
byte zaehler;
  if (zeit < 10) zeit = 10;
  for (zaehler = zeit / 10; zaehler; zaehler--) {
    delay_us(255);  // dauert ca. 2ms
    delay_us(255);  // dauert ca. 2ms
    delay_us(255);  // dauert ca. 2ms
    delay_us(255);  // dauert ca. 2ms
    delay_us(255);  // dauert ca. 2ms
  }
}
